> ## Documentation Index
> Fetch the complete documentation index at: https://wb-21fd5541-docs-sandboxes-integrations-placement.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# API 개요

> 인증 세부 정보와 함께 Chat Completion, 모델, 트레이닝 작업, 헬스 체크용 Serverless Training API 엔드포인트를 살펴보세요.

<Note>
  Serverless Training API는 서버리스 강화 학습(RL)과 지도 파인튜닝(SFT)을 포함한 트레이닝 작업을 관리하기 위한 엔드포인트를 제공합니다. 이 API는 Chat Completion용 OpenAI 호환 API입니다.
</Note>

이 레퍼런스에서 인증 요구 사항, 기본 URL, 그리고 Chat Completion, 모델, 트레이닝 작업, 헬스 체크에 대한 사용 가능한 엔드포인트를 확인하세요.

<div id="authentication">
  ## 인증
</div>

모든 API 요청은 W\&B API 키를 사용한 인증이 필요합니다. [wandb.ai/settings](https://wandb.ai/settings)에서 API 키를 생성하세요.

`Authorization` 헤더에 API 키를 포함하세요:

```http theme={null}
Authorization: Bearer YOUR_API_KEY
```

<div id="base-url">
  ## 기본 URL
</div>

```text theme={null}
https://api.training.wandb.ai/v1
```

<div id="available-endpoints">
  ## 사용 가능한 엔드포인트
</div>

<div id="chat-completions">
  ### chat-completions
</div>

* **[POST /v1/chat/completions](https://docs.wandb.ai/serverless-training/api-reference/chat-completions/create-chat-completion-1)** - Chat Completion 생성
* **[POST /v1/chat/completions/](https://docs.wandb.ai/serverless-training/api-reference/chat-completions/create-chat-completion)** - Chat Completion 생성

<div id="models">
  ### 모델
</div>

* **[POST /v1/preview/models](https://docs.wandb.ai/serverless-training/api-reference/models/create-model)** - 모델 생성
* **[DELETE /v1/preview/models/{model_id}](https://docs.wandb.ai/serverless-training/api-reference/models/delete-model)** - 모델 삭제
* **[DELETE /v1/preview/models/{model_id}/checkpoints](https://docs.wandb.ai/serverless-training/api-reference/models/delete-model-checkpoints)** - 모델 체크포인트 삭제
* **[GET /v1/preview/models/{model_id}/checkpoints](https://docs.wandb.ai/serverless-training/api-reference/models/list-model-checkpoints)** - 모델 체크포인트 목록 조회
* **[POST /v1/preview/models/{model_id}/log](https://docs.wandb.ai/serverless-training/api-reference/models/log)** - 로그

<div id="training-jobs">
  ### 트레이닝 작업
</div>

* **[POST /v1/preview/sft-training-jobs](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/create-sft-training-job)** - SFT 트레이닝 작업 생성
* **[POST /v1/preview/training-jobs](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/create-rl-training-job)** - RL 트레이닝 작업 생성
* **[GET /v1/preview/training-jobs/{training_job_id}](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/get-training-job)** - 트레이닝 작업 조회
* **[GET /v1/preview/training-jobs/{training_job_id}/events](https://docs.wandb.ai/serverless-training/api-reference/training-jobs/get-training-job-events)** - 트레이닝 작업 이벤트 조회

<div id="health">
  ### 상태 확인
</div>

* **[GET /v1/health](https://docs.wandb.ai/serverless-training/api-reference/health/health-check)** - 헬스 체크
* **[GET /v1/system-check](https://docs.wandb.ai/serverless-training/api-reference/health/system-check)** - 시스템 체크

<div id="related-resources">
  ## 관련 자료
</div>

* [Serverless Training 개요](/ko/serverless-training)
* [사전 요구 사항](/ko/serverless-training/prerequisites)
* [Serverless SFT](/ko/serverless-training/sft)
* [트레이닝된 모델 사용하기](/ko/serverless-training/use-trained-models)
* [사용 가능한 모델](/ko/serverless-training/available-models)
* [사용 한도](/ko/serverless-training/usage-limits)
